<section class="form-container">
    <div class="form-text">
      <h2>We want to meet your pet</h2>
      <p>     
      Tell us more about your pet, to be able to find its perfect couple
      </p>
    </div>
  
    <form
      [formGroup]="signuppetForm"
      (ngSubmit)="onSubmit()"
      class="form"
    >
      <fieldset>
        <label class="form_label">Specie</label>
        <input formControlName="specie" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">Race</label>
        <input formControlName="race" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">Pet Name</label>
        <input formControlName="petname" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">Gender</label>
        <input formControlName="gender" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">Age</label>
        <input formControlName="age" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">City</label>
        <input formControlName="city" type="text" class="form_input" />
      </fieldset>
      <fieldset>
        <label class="form_label">Image</label>
        <input formControlName="image" type="text" class="form_input" />
      </fieldset>
      <fieldset class="fieldset-email">
        <label class="form_label">Email</label>
        <input formControlName="email" type="text" class="form_input" />
      </fieldset>
  
      <button class="form_button contact__button hover-animation" [disabled]="signuppetForm.invalid" type="submit">
        <span>My pet</span> 
      </button>
    </form>
  
  </section>
  
